    This library is experimental.  Try it out and let me know your feedback!

# The Style Elements Library for Elm

> __TLDR__: This library lets you craft styles that don't mysteriously break.
>
> It does this by
>
> * having required properties for each node
> * disallowing certain properties
> 
> It also takes a different approach on attaching styles to html nodes.  Instead of using classes and ids, it focuses on creating collections of styled html elements that you can pull from and use to build your view.

It's easy to write _valid_ CSS that is still broken and frustrating.  What if we could just make frustrating CSS styles not expressible?

That's the aim of `style-elements` library. To give you the tools to write styles that are intuitive and robust, while still being productive and expressive.  To make styles that don't break.

And while we're at it, it wouldn't hurt to have built in support for `animations`, `transitions`, and `media queries` too.

Maybe styling can actually be _fun_ now.


## Getting Started

 * [Getting Started/How it Works](https://github.com/mdgriffith/style-elements/blob/master/HowItWorks.md)
 * Simple example: [code](https://github.com/mdgriffith/elm-style-elements-simple-example) - [demo](https://mdgriffith.github.io/style-elements/simple/)
 * Realworld example that uses animations, media queries, and palettes: [code](https://github.com/mdgriffith/elm-style-elements-complex-example) - [demo](https://mdgriffith.github.io/style-elements/realworld/)
 * Documentation (Unpublished for the moment, will be published soon)




